program main;
uses mtx09;
var
  a: mtx;
  x: double;
begin
  tra;
  equ(a,'1 2 3; 4 5 6');
  x := prd(lgn(a,1),trp(lgn(a,2))); // any combination of row and column
  x := prd(trp(lgn(a,2)),lgn(a,1)); // vectors is accepted if they have
  x := prd(lgn(a,1),lgn(a,2));      // the same number of elements
  x := prd(col(a,2),col(a,3))
end.
